
I had that unpleasantly familiar feeling that everything in me, both physical and otherwise, was draining southward. I felt like I was going to have a nasty sugar crash. It came on faster than ever before, with pinpricks of white at the edge of my vision. I raised my left arm for assistance, and can just barely recall getting enough words out to the technician that I was having a hypoglycemic crash. Then there was nothing.

There was no bright light or floating over my body. I wasn't watching what was happening. There were no angels. No sound. No up. No down. There was simply an absence of everything.

It was black. The purest black I’d ever seen. I did have the cliché sensation of not being in my body, but it was more like the feeling that my body was just gone. 'I' was gone. I didn’t feel like I was dead. Literally, the word 'gone' is the only way I have to describe it, and the only thing that I can say I was feeling at the time. I don’t know where 'gone' is, or what it means. All I know is that it’s nowhere I could ever identify as being anywhere near anything 'here.' It was absolutely terrifying. If I’d been able to think properly, I’m sure I would have been even more frightened, but my brain was sapped well beyond its limits already.

From my estimations and evidence gathered later on, I am fairly certain that my sugar levels were further into the danger zone than they ever have been in my life. I highly suspect that had I been any worse than I already was, I would have either slipped into a coma, suffered brain damage, or both.

True panic began to set in as I couldn’t get away from being 'gone.' I didn’t know what to do, or even what I could do. I was mentally backpedalling in horror when I started to see pewter streaks at the edge of my vision. I couldn’t move, but I began to think that I might at least be making some kind of sound. In what seemed like several minutes, I came to and slowly began to realize that I was back here. I could see glimpses of things in front of me.
